Bug 29042 - Improve formatting of entry form in Additional Contents
Summary: Improve formatting of entry form in Additional Contents
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 24387
Blocks:
  Show dependency treegraph
 
Reported: 2021-09-16 15:26 UTC by Owen Leonard
Modified: 2022-06-06 20:25 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 29042: Improve formatting of entry form in Additional Contents (4.92 KB, patch)
2021-09-16 16:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29042: Improve formatting of entry form in Additional Contents (4.96 KB, patch)
2021-09-28 12:49 UTC, David Nind
Details | Diff | Splinter Review
Bug 29042: Improve formatting of entry form in Additional Contents (5.03 KB, patch)
2021-10-02 20:23 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-09-16 15:26:33 UTC
To fix a FIXME in the template: Add a "clearfix" class in the form markup so that the standard '<fieldset class="rows">' can be used.

Also: Lengthen the title field and add a maxlength attribute to match the table column.
Comment 1 Owen Leonard 2021-09-16 16:03:22 UTC
Created attachment 124939 [details] [review]
Bug 29042: Improve formatting of entry form in Additional Contents

This patch makes some corrections to the Additional Contents template so
that the content entry form can be styled like other similar forms in
the staff interface.

The patch also updates the form's "title" field so that it is longer and
has a maxlength attribute matching the size of the table column.

To test, apply the patch and go to Tools -> News.

 - Create a new news item.
 - In the entry form, confirm that the "Title" and "Content" fields are
   styled consistently with other similar forms.
 - Confirm that the "title" field is longer.
Comment 2 David Nind 2021-09-28 12:49:38 UTC
Created attachment 125403 [details] [review]
Bug 29042: Improve formatting of entry form in Additional Contents

This patch makes some corrections to the Additional Contents template so
that the content entry form can be styled like other similar forms in
the staff interface.

The patch also updates the form's "title" field so that it is longer and
has a maxlength attribute matching the size of the table column.

To test, apply the patch and go to Tools -> News.

 - Create a new news item.
 - In the entry form, confirm that the "Title" and "Content" fields are
   styled consistently with other similar forms.
 - Confirm that the "title" field is longer.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-10-02 20:22:25 UTC
Almost sad to see this line removed :) 

                            <fieldset>[%# FIXME We should remove list-style:none; and use class="rows" here but it does not work. Owen please help! %]>
Comment 4 Katrin Fischer 2021-10-02 20:23:54 UTC
Created attachment 125655 [details] [review]
Bug 29042: Improve formatting of entry form in Additional Contents

This patch makes some corrections to the Additional Contents template so
that the content entry form can be styled like other similar forms in
the staff interface.

The patch also updates the form's "title" field so that it is longer and
has a maxlength attribute matching the size of the table column.

To test, apply the patch and go to Tools -> News.

 - Create a new news item.
 - In the entry form, confirm that the "Title" and "Content" fields are
   styled consistently with other similar forms.
 - Confirm that the "title" field is longer.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-10-06 08:38:34 UTC
Pushed to master for 21.11, thanks to everybody involved!